petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSectionSetFieldConstraintIndices

Set the field dof numbers, in [0, fdof), which are constrained

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFieldConstraintIndices(PetscSection s, PetscInt point, PetscInt field, const PetscInt indices[])

Not collective

### Input Parameters

| s | - The PetscSection
| point | - The point
| field | - The field number
| indices | - The constrained dofs

Note: The Fortran is PetscSectionSetFieldConstraintIndicesF90()

### See Also

PetscSectionSetConstraintIndices(), PetscSectionGetFieldConstraintIndices(), PetscSectionGetConstraintDof(), PetscSection

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages